Package org.apache.sling.thumbnails

## Interface TransformationHandlerConfig

All Known Implementing Classes:
  `TransformationHandlerConfigImpl`

    @ProviderType
    public interface TransformationHandlerConfig

A configuration for an instance of a Transformation Handler.

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getHandlerType()` Get the hander type, generally, this will be a Sling Resource type
`org.apache.sling.api.resource.ValueMap` `getProperties()` The configuration properties for the transformation hander

### Method Detail

#### getHandlerType

    String getHandlerType()

Get the hander type, generally, this will be a Sling Resource type

Returns:
  the handler type

#### getProperties

    org.apache.sling.api.resource.ValueMap getProperties()

The configuration properties for the transformation hander

Returns:
  the configuration properties